## qtcreator 4.0.2

=== debian/changelog ===
qtcreator (4.0.2-1ubuntu2~1) yakkety; urgency=medium

  * Rebuild for Qt 5.6.1.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 25 Jul 2016 12:18:06 +0000

qtcreator (4.0.2-1ubuntu1~9) yakkety; urgency=medium

  * New upstream release.
  * Conflict with qtcreator-plugin-ubuntu (and -go) and offer a transitional 
    package. Ubuntu SDK is now distributed separately, see 
    http://developer.ubuntu.com/ for more information. (LP: #1604744)
  * debian/ubuntu-sdk-migration.note: Offer a graphical note when upgrading 
    from old qtcreator-plugin-ubuntu.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 21 Jul 2016 05:49:36 +0000

qtcreator (4.0.2-1) unstable; urgency=medium

  * New upstream release.
    + Fix bug debugging an application that has pdb files larger than 1 GB

 -- Adam Majer <adamm@zombino.com>  Sun, 03 Jul 2016 23:50:51 +0200

=== debian/control ===
Source: qtcreator
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Adam Majer <adamm@zombino.com>,
           Fathi Boudra <fabo@debian.org>,
           Jeremy Lainé <jeremy.laine@m4x.org>,
Build-Depends: debhelper (>= 9),
               libbotan1.10-dev,
               libclang-3.6-dev,
               libicu-dev,
               libjs-jquery,
               libqt5opengl5-dev (>= 5.4.1~),
               libqt5sql5-sqlite (>= 5.4.1~),
               libqt5webkit5-dev (>= 5.4.1~),
               libqt5x11extras5-dev (>= 5.4.1~),
               libx11-dev,
               libxext-dev,
               pkg-config,
               qbs-dev (>= 1.5.0+dfsg~),
               qml-module-qtquick2 (>= 5.4.1~),
               qtbase5-dev (>= 5.4.1+dfsg~),
               qtbase5-private-dev (>= 5.4.1+dfsg~),
               qtdeclarative5-dev (>= 5.4.1~),
               qtdeclarative5-private-dev (>= 5.4.1~),
               qtscript5-dev (>= 5.4.1~),
               qtscript5-private-dev (>= 5.4.1~),
               qttools5-dev (>= 5.4.1~),
               qttools5-dev-tools (>= 5.4.1~),
               qttools5-private-dev (>= 5.4.1~),
               qtxmlpatterns5-dev-tools (>= 5.4.1~),
               xauth,
               xvfb,
Standards-Version: 3.9.8
Homepage: https://doc.qt.io/qt-5/topics-app-development.html
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/qt/qtcreator.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/qt/qtcreator.git
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/qtcreator

Package: qtcreator
Architecture: any
Depends: libqt5sql5-sqlite,
         qml-module-qtquick-controls (>= 5.2.1-4~),
         qml-module-qtquick2 (>= 5.2.1-5~),
         qtchooser,
         qtcreator-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Conflicts: qtcreator-plugin-cmake,
           qtcreator-plugin-go,
           qtcreator-plugin-qnx,
           qtcreator-plugin-remotelinux,
           qtcreator-plugin-ubuntu (<< ${source:Version}),
           qtcreator-plugin-valgrind,
Replaces: qtcreator-plugin-cmake,
          qtcreator-plugin-qnx,
          qtcreator-plugin-remotelinux,
          qtcreator-plugin-valgrind,
Recommends: clang,
            g++,
            gdb,
            gdb,
            make,
            qmlscene,
            qt5-doc,
            qt5-qmake,
            qt5-qmltooling-plugins,
            qtbase5-dev-tools,
            qtcreator-doc,
            qtdeclarative5-dev-tools,
            qttools5-dev-tools,
            qttranslations5-l10n,
            qtxmlpatterns5-dev-tools,
            xterm | x-terminal-emulator,
Suggests: cmake, git, kdelibs5-data, subversion,
Description: lightweight integrated development environment (IDE) for Qt
 Qt Creator is a new, lightweight, cross-platform integrated development
 environment (IDE) designed to make development with the Qt application
 framework even faster and easier.
 .
 It includes:
  * An advanced C++ code editor
  * Integrated GUI layout and forms designer
  * Project and build management tools
  * Integrated, context-sensitive help system
  * Visual debugger
  * Rapid code navigation tools
  * Supports multiple platforms

Package: qtcreator-data
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}
Breaks: qtcreator (<< 3.2.0-1~),
Replaces: qtcreator (<< 3.2.0-1~)
Description: application data for Qt Creator IDE
 Qt Creator is a new, lightweight, cross-platform integrated development
 environment (IDE) designed to make development with the Qt application
 framework even faster and easier.
 .
 This package contains the architecture-independent data for Qt Creator IDE.

Package: qtcreator-dbg
Priority: extra
Architecture: any
Section: debug
Depends: qtcreator (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for Qt Creator IDE
 Qt Creator is a new, lightweight, cross-platform integrated development
 environment (IDE) designed to make development with the Qt application
 framework even faster and easier.
 .
 This package contains the debugging symbols for Qt Creator IDE.

Package: qtcreator-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: qt5-doc
Description: documentation for Qt Creator IDE
 Qt Creator is a new, lightweight, cross-platform integrated development
 environment (IDE) designed to make development with the Qt application
 framework even faster and easier.
 .
 This package contains the documentation for Qt Creator IDE.

Package: qtcreator-dev
Architecture: all
Depends: qtcreator (= ${binary:Version}),
         libicu-dev,
         ${misc:Depends},
Conflicts: qtcreator-plugin-cmake-dev,
           qtcreator-plugin-qnx-dev,
           qtcreator-plugin-remotelinux-dev,
           qtcreator-plugin-valgrind-dev,
Replaces: qtcreator-plugin-cmake-dev,
          qtcreator-plugin-qnx-dev,
          qtcreator-plugin-remotelinux-dev,
          qtcreator-plugin-valgrind-dev,
Description: Qt Creator plugin development files
 This package contains the developer files for Qt
 Creator plugin evelopment

Package: qtcreator-plugin-ubuntu
Architecture: all
Section: oldlibs
Depends: qtcreator,
         ${misc:Depends},
Description: transitional dummy package for former Ubuntu SDK package
 This is a transitional dummy package which can be safely removed.
 . 
 Ubuntu SDK is now distributed separately for all supported Ubuntu versions.
 Please see http://developer.ubuntu.com/ for more information.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
export QMAKE_CFLAGS_RELEASE := $(CFLAGS)
export QMAKE_CFLAGS_DEBUG := $(CFLAGS)
export QMAKE_CXXFLAGS_RELEASE := $(CXXFLAGS)
export QMAKE_CXXFLAGS_DEBUG := $(CXXFLAGS)
export QMAKE_LFLAGS_RELEASE := $(LDFLAGS)
export QMAKE_LFLAGS_DEBUG := $(LDFLAGS)
export QT_SELECT := qt5
export LLVM_INSTALL_DIR := $(shell if [ -d /usr/lib/llvm-3.7 ]; then echo /usr/lib/llvm-3.7; else echo /usr/lib/llvm-3.6; fi)
export QT_QPA_PLATFORM := minimal

# Upstream changelog
upstream_changes := $(wildcard dist/changes-*)

# Skip tests on the archs they are known to be flaky  with current configuration
testskip_architectures := powerpc

%:
	dh $@ --parallel --dbg-package=qtcreator-dbg --builddirectory=builddir

override_dh_auto_configure:
	mkdir -p builddir
	cd builddir ; \
		qmake -recursive QMAKE_CFLAGS_RELEASE="$(QMAKE_CFLAGS_RELEASE)" \
		QMAKE_CFLAGS_DEBUG="$(QMAKE_CFLAGS_DEBUG)" \
		QMAKE_CXXFLAGS_RELEASE="$(QMAKE_CXXFLAGS_RELEASE)" \
		QMAKE_CXXFLAGS_DEBUG="$(QMAKE_CXXFLAGS_DEBUG)" \
		QMAKE_LFLAGS_RELEASE="$(QMAKE_LFLAGS_RELEASE)" \
		QMAKE_LFLAGS_DEBUG="$(QMAKE_LFLAGS_DEBUG)" \
		QMAKE_STRIP=: \
		QBS_INSTALL_DIR=/usr \
		BUILD_TESTS=true \
		PREFIX=/usr/ \
		LLVM_INSTALL_DIR="$(LLVM_INSTALL_DIR)" \
		CONFIG+=disable_external_rpath \
		$(CURDIR) IDE_LIBRARY_BASENAME=lib/$(DEB_HOST_MULTIARCH) IDE_PACKAGE_MODE=1 USE_SYSTEM_BOTAN=1 $(extra_configure_opts)

ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), armhf))
	# Hack over a g++ problem while using -O2 on armhf.
	# If you don't like this horrible hack please feel free to help me try to
	# reproduce it in a minimal test case so as to be able to properly fill a
	# bug against g++.
	sed -i 's/O2/O1/g' builddir/src/plugins/qmldesigner/Makefile.qmldesignerplugin
endif

override_dh_auto_install:
ifneq (,$(filter qtcreator-doc,qtcreator-dev, $(shell dh_listpackages)))
	dh_auto_build -- qch_docs
endif
	dh_auto_install --destdir=debian/tmp/usr
	dh_auto_build -- install_docs INSTALL_ROOT=$(CURDIR)/debian/tmp/usr

	# Do not install the file, we better symlink it.
	rm -vf debian/tmp/usr/share/qtcreator/debugger/LICENSE.LGPL
 
	# Not needed
	rm debian/tmp/usr/bin/qtcreator.sh

	mkdir -p debian/tmp/usr/src/qtcreator/
	find | egrep -v '^\.\/doc|^\.\/share|^\.\/\.pc|^\.\/debian|^\.\/tests|^\.\/share' | grep "\.pri\$$\|\.h\$$\|\.xsl\$$" | xargs -I{} cp --parents -r "{}" debian/tmp/usr/src/qtcreator
	cd debian/tmp/usr/src/qtcreator; cp -r builddir/* .; rm -R builddir
	rm -rfv debian/tmp/usr/usr/tests/

override_dh_install:
	dh_install --fail-missing
	mkdir -p debian/qtcreator-plugin-ubuntu/usr/share/qtcreator-plugin-ubuntu
	cp -a debian/ubuntu-sdk-migration.note debian/qtcreator-plugin-ubuntu/usr/share/qtcreator-plugin-ubuntu/

override_dh_installdocs:
	dh_installdocs -pqtcreator-data $(upstream_changes)
	dh_installdocs --remaining-packages

override_dh_shlibdeps:
	dh_shlibdeps -l$(CURDIR)/debian/qtcreator/usr/lib/$(DEB_HOST_MULTIARCH)/qtcreator:\
	$(CURDIR)/debian/qtcreator/usr/lib/$(DEB_HOST_MULTIARCH)/qtcreator/plugins/QtProject

override_dh_auto_test:
ifneq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(testskip_architectures)))
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	cp -r $(CURDIR)/builddir/lib/*/ $(CURDIR)/lib
	#xvfb-run -a dh_auto_test -- -C tests/auto
endif
endif

## qtcreator 4.1.0

=== debian/changelog ===
qtcreator (4.1.0-3ubuntu1) zesty; urgency=medium

  * debian/patches/qbs-update.diff: Update from git for new qbs version.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 11 Apr 2017 08:31:35 -0600

qtcreator (4.1.0-3ubuntu1~2) zesty; urgency=medium

  * No change rebuild

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 04 Jan 2017 09:04:31 +0200

qtcreator (4.1.0-3ubuntu1~1) zesty; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Make qtcreator depend upon qml-module-qtqml-models2 (Closes: #843395).
    Thanks Oswald Buddenhagen for the bug report!

  [ Timo Jyrinki ]
  * New upstream version. Merge with Debian.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 15 Nov 2016 08:50:03 +0000

qtcreator (4.1.0-3) unstable; urgency=medium

  * Do not require clang support on archs that do not have it.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 23 Oct 2016 10:15:19 -0300

qtcreator (4.1.0-2) unstable; urgency=medium

  * Do not build clang support on armel (Closes: #839791). Thanks Emilio for
    the bug!
  * Switch to libclang-dev, which currently depends on libclang-3.8-dev.
    Listing both versions of libclang-3.*-dev is futile as buildds will
    only consider the first one.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 19 Oct 2016 11:23:57 -0300

qtcreator (4.1.0-1) unstable; urgency=medium

  [ Adam Majer ]
  * New upstream version
  * Re-enable QBS plugin

 -- Adam Majer <adamm@zombino.com>  Thu, 08 Sep 2016 00:11:22 +0200

qtcreator (4.1.0~rc1-1) experimental; urgency=medium

  [ Adam Majer ]
  * New upstream version
    + added the Flat Dark and Flat Light themes
      (Environment > Interface > Theme settings)
    + editted files are now loaded on visibility instead of all on
      session resumption
    + improved overall performance of Qt Quick designer
    + improved performance of QML Profiler
    + option to turn off automatic running of CMake per configured tool
    + experimental support for the Nim programming language (in plugins)
    + c++: added separate highlighting for function declarations and usages
    + c++: added highlighting option for global variables
    + added support for TCP/IP forward tunneling with SSH
  * fix_build_on_ppc.patch removed, upstreamed
  * Refreshed patches
  * Bump Clang dependency to 3.8
  * Temporarily disable QBS

 -- Adam Majer <adamm@zombino.com>  Mon, 08 Aug 2016 00:47:25 +0200

qtcreator (4.0.3-1) unstable; urgency=medium

  [ Adam Majer ]
  * New upstream version
    + cmake: resolve symlinks when comparing source directories
    + Clang: Fix dot-arrow-correction for zero results
    + Clang: Fix dot-arrow-correction for not-yet-parsed unsaved content
    + ProjectExplorer: Fix comparison with default-constructed Runnables
    + Depend on qbs 1.5.2
  * Update Qt build requirements to 5.5.x

 -- Adam Majer <adamm@zombino.com>  Sat, 06 Aug 2016 01:56:51 +0200

=== debian/control ===
--- 
+++ 
@@ -8,28 +8,28 @@
            Jeremy Lainé <jeremy.laine@m4x.org>,
 Build-Depends: debhelper (>= 9),
                libbotan1.10-dev,
-               libclang-3.6-dev,
+               libclang-dev [!armel !alpha !hppa !hurd-i386 !kfreebsd-any !m68k !powerpcspe !sh4 !sparc64 !x32],
                libicu-dev,
                libjs-jquery,
-               libqt5opengl5-dev (>= 5.4.1~),
-               libqt5sql5-sqlite (>= 5.4.1~),
-               libqt5webkit5-dev (>= 5.4.1~),
-               libqt5x11extras5-dev (>= 5.4.1~),
+               libqt5opengl5-dev (>= 5.5.0~),
+               libqt5sql5-sqlite (>= 5.5.0~),
+               libqt5webkit5-dev (>= 5.5.0~),
+               libqt5x11extras5-dev (>= 5.5.0~),
                libx11-dev,
                libxext-dev,
                pkg-config,
-               qbs-dev (>= 1.5.0+dfsg~),
-               qml-module-qtquick2 (>= 5.4.1~),
-               qtbase5-dev (>= 5.4.1+dfsg~),
-               qtbase5-private-dev (>= 5.4.1+dfsg~),
-               qtdeclarative5-dev (>= 5.4.1~),
-               qtdeclarative5-private-dev (>= 5.4.1~),
-               qtscript5-dev (>= 5.4.1~),
-               qtscript5-private-dev (>= 5.4.1~),
-               qttools5-dev (>= 5.4.1~),
-               qttools5-dev-tools (>= 5.4.1~),
-               qttools5-private-dev (>= 5.4.1~),
-               qtxmlpatterns5-dev-tools (>= 5.4.1~),
+               qbs-dev (>= 1.6.0~),
+               qml-module-qtquick2 (>= 5.5.0~),
+               qtbase5-dev (>= 5.5.0+dfsg~),
+               qtbase5-private-dev (>= 5.5.0+dfsg~),
+               qtdeclarative5-dev (>= 5.5.0~),
+               qtdeclarative5-private-dev (>= 5.5.0~),
+               qtscript5-dev (>= 5.5.0~),
+               qtscript5-private-dev (>= 5.5.0~),
+               qttools5-dev (>= 5.5.0~),
+               qttools5-dev-tools (>= 5.5.0~),
+               qttools5-private-dev (>= 5.5.0~),
+               qtxmlpatterns5-dev-tools (>= 5.5.0~),
                xauth,
                xvfb,
 Standards-Version: 3.9.8
@@ -41,8 +41,9 @@
 Package: qtcreator
 Architecture: any
 Depends: libqt5sql5-sqlite,
-         qml-module-qtquick-controls (>= 5.2.1-4~),
-         qml-module-qtquick2 (>= 5.2.1-5~),
+         qml-module-qtqml-models2,
+         qml-module-qtquick-controls (>= 5.5.0~),
+         qml-module-qtquick2 (>= 5.5.0~),
          qtchooser,
          qtcreator-data (= ${source:Version}),
          ${misc:Depends},
@@ -74,10 +75,10 @@
             qtxmlpatterns5-dev-tools,
             xterm | x-terminal-emulator,
 Suggests: cmake, git, kdelibs5-data, subversion,
-Description: lightweight integrated development environment (IDE) for Qt
- Qt Creator is a new, lightweight, cross-platform integrated development
- environment (IDE) designed to make development with the Qt application
- framework even faster and easier.
+Description: integrated development environment (IDE) for Qt
+ Qt Creator is a cross-platform integrated development environment (IDE)
+ designed to make development with the Qt application framework faster
+ and easier.
  .
  It includes:
   * An advanced C++ code editor
@@ -87,6 +88,7 @@
   * Visual debugger
   * Rapid code navigation tools
   * Supports multiple platforms
+  * Qt Quick Designer
 
 Package: qtcreator-data
 Architecture: all
@@ -94,23 +96,7 @@
 Breaks: qtcreator (<< 3.2.0-1~),
 Replaces: qtcreator (<< 3.2.0-1~)
 Description: application data for Qt Creator IDE
- Qt Creator is a new, lightweight, cross-platform integrated development
- environment (IDE) designed to make development with the Qt application
- framework even faster and easier.
- .
- This package contains the architecture-independent data for Qt Creator IDE.
-
-Package: qtcreator-dbg
-Priority: extra
-Architecture: any
-Section: debug
-Depends: qtcreator (= ${binary:Version}), ${misc:Depends}
-Description: debugging symbols for Qt Creator IDE
- Qt Creator is a new, lightweight, cross-platform integrated development
- environment (IDE) designed to make development with the Qt application
- framework even faster and easier.
- .
- This package contains the debugging symbols for Qt Creator IDE.
+ This package contains architecture-independent data for Qt Creator IDE.
 
 Package: qtcreator-doc
 Architecture: all
@@ -118,11 +104,7 @@
 Depends: ${misc:Depends}
 Suggests: qt5-doc
 Description: documentation for Qt Creator IDE
- Qt Creator is a new, lightweight, cross-platform integrated development
- environment (IDE) designed to make development with the Qt application
- framework even faster and easier.
- .
- This package contains the documentation for Qt Creator IDE.
+ This package contains documentation for Qt Creator IDE.
 
 Package: qtcreator-dev
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 export QMAKE_LFLAGS_RELEASE := $(LDFLAGS)
 export QMAKE_LFLAGS_DEBUG := $(LDFLAGS)
 export QT_SELECT := qt5
-export LLVM_INSTALL_DIR := $(shell if [ -d /usr/lib/llvm-3.7 ]; then echo /usr/lib/llvm-3.7; else echo /usr/lib/llvm-3.6; fi)
+export LLVM_INSTALL_DIR := $(shell if [ -d /usr/lib/llvm-3.9 ]; then echo /usr/lib/llvm-3.9; else echo /usr/lib/llvm-3.8; fi)
 export QT_QPA_PLATFORM := minimal
 
 # Upstream changelog
@@ -25,7 +25,7 @@
 testskip_architectures := powerpc
 
 %:
-	dh $@ --parallel --dbg-package=qtcreator-dbg --builddirectory=builddir
+	dh $@ --parallel --builddirectory=builddir
 
 override_dh_auto_configure:
 	mkdir -p builddir

=== debian/watch ===
version=3
opts="repack,compression=xz"
http://download.qt.io/official_releases/qtcreator/([\d\.]*)/([\d\.]*)/qt-creator-opensource-src-([^-]*)\.tar\.gz

## qtcreator 4.2.0

=== debian/changelog ===
qtcreator (4.2.0-1) unstable; urgency=medium

  * New upstream version
    + Added experimental editor for Qt SCXML
    + Added pattern substitution for variable expansion
    + Added option to hide the central widget in Debug mode
    + Fixed highlighting of Markdown files
    + Added option to skip big C++ files when indexing
    + Improved responsiveness of completion and highlighting
      when using clang code model
    + Made display of maps more compact under debugger
    + Added pretty printing of `QRegExp` captures, `QStaticStringData`,
      `QStandardItem`, and `std::pair` udner debugger
  * Bump min build dependencies:
    + Qt 5.6.0
    + QBS 1.7.0
    + clang/llvm 3.9.0, only build clangplugin on amd64
  * debian/watch: update downloaded files to XZ compressed
  * debian/control: add missing build dependency on llvm

 -- Adam Majer <adamm@zombino.com>  Thu, 05 Jan 2017 00:19:09 +0100

qtcreator (4.1.0-4) unstable; urgency=medium

  * Make qtcreator depend upon qml-module-qtqml-models2 (Closes: #843395).
    Thanks Oswald Buddenhagen for the bug report!

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 18 Nov 2016 16:10:07 -0300

=== debian/control ===
Source: qtcreator
Section: devel
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Adam Majer <adamm@zombino.com>,
           Fathi Boudra <fabo@debian.org>,
           Jeremy Lainé <jeremy.laine@m4x.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
Build-Depends: debhelper (>= 9),
               libbotan1.10-dev,
               libclang-3.9-dev [amd64],
               llvm-3.9-dev [amd64],
               libicu-dev,
               libjs-jquery,
               libqt5opengl5-dev (>= 5.6.0~),
               libqt5sql5-sqlite (>= 5.6.0~),
               libqt5webkit5-dev (>= 5.6.0~),
               libqt5x11extras5-dev (>= 5.6.0~),
               pkg-config,
               qbs-dev (>= 1.7.0~),
               qml-module-qtquick2 (>= 5.6.0~),
               qtbase5-dev (>= 5.6.0~),
               qtbase5-private-dev (>= 5.6.0~),
               qtdeclarative5-dev (>= 5.6.0~),
               qtdeclarative5-private-dev (>= 5.6.0~),
               qtscript5-dev (>= 5.6.0~),
               qtscript5-private-dev (>= 5.6.0~),
               qttools5-dev (>= 5.6.0~),
               qttools5-dev-tools (>= 5.6.0~),
               qttools5-private-dev (>= 5.6.0~),
               qtxmlpatterns5-dev-tools (>= 5.6.0~)
Standards-Version: 3.9.8
Homepage: https://doc.qt.io/qt-5/topics-app-development.html
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/qt/qtcreator.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/qt/qtcreator.git

Package: qtcreator
Architecture: any
Depends: libqt5sql5-sqlite,
         qml-module-qtqml-models2,
         qml-module-qtquick-controls (>= 5.5.0~),
         qml-module-qtquick2 (>= 5.5.0~),
         qtchooser,
         qtcreator-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: clang,
            gdb,
            make,
            qmlscene,
            qt5-doc,
            qt5-qmltooling-plugins,
            qtbase5-dev-tools,
            qtcreator-doc,
            qtdeclarative5-dev-tools,
            qttools5-dev-tools,
            qttranslations5-l10n,
            qtxmlpatterns5-dev-tools,
            xterm | x-terminal-emulator
Suggests: cmake, g++, git, kdelibs5-data, subversion
Description: integrated development environment (IDE) for Qt
 Qt Creator is a cross-platform integrated development environment (IDE)
 designed to make development with the Qt application framework faster
 and easier.
 .
 It includes:
  * An advanced C++ code editor
  * Integrated GUI layout and forms designer
  * Project and build management tools
  * Integrated, context-sensitive help system
  * Visual debugger
  * Rapid code navigation tools
  * Supports multiple platforms
  * Qt Quick Designer

Package: qtcreator-data
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}
Description: application data for Qt Creator IDE
 This package contains architecture-independent data for Qt Creator IDE.

Package: qtcreator-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: qt5-doc
Description: documentation for Qt Creator IDE
 This package contains documentation for Qt Creator IDE.

=== debian/rules ===
--- 
+++ 
@@ -15,14 +15,10 @@
 export QMAKE_LFLAGS_RELEASE := $(LDFLAGS)
 export QMAKE_LFLAGS_DEBUG := $(LDFLAGS)
 export QT_SELECT := qt5
-export LLVM_INSTALL_DIR := $(shell if [ -d /usr/lib/llvm-3.9 ]; then echo /usr/lib/llvm-3.9; else echo /usr/lib/llvm-3.8; fi)
-export QT_QPA_PLATFORM := minimal
+export LLVM_INSTALL_DIR := $(shell if [ -d /usr/lib/llvm-3.9 ]; then echo /usr/lib/llvm-3.9; fi)
 
 # Upstream changelog
 upstream_changes := $(wildcard dist/changes-*)
-
-# Skip tests on the archs they are known to be flaky  with current configuration
-testskip_architectures := powerpc
 
 %:
 	dh $@ --parallel --builddirectory=builddir
@@ -38,7 +34,6 @@
 		QMAKE_LFLAGS_DEBUG="$(QMAKE_LFLAGS_DEBUG)" \
 		QMAKE_STRIP=: \
 		QBS_INSTALL_DIR=/usr \
-		BUILD_TESTS=true \
 		PREFIX=/usr/ \
 		LLVM_INSTALL_DIR="$(LLVM_INSTALL_DIR)" \
 		CONFIG+=disable_external_rpath \
@@ -53,7 +48,7 @@
 endif
 
 override_dh_auto_install:
-ifneq (,$(filter qtcreator-doc,qtcreator-dev, $(shell dh_listpackages)))
+ifneq (,$(filter qtcreator-doc, $(shell dh_listpackages)))
 	dh_auto_build -- qch_docs
 endif
 	dh_auto_install --destdir=debian/tmp/usr
@@ -61,19 +56,12 @@
 
 	# Do not install the file, we better symlink it.
 	rm -vf debian/tmp/usr/share/qtcreator/debugger/LICENSE.LGPL
- 
+
 	# Not needed
 	rm debian/tmp/usr/bin/qtcreator.sh
 
-	mkdir -p debian/tmp/usr/src/qtcreator/
-	find | egrep -v '^\.\/doc|^\.\/share|^\.\/\.pc|^\.\/debian|^\.\/tests|^\.\/share' | grep "\.pri\$$\|\.h\$$\|\.xsl\$$" | xargs -I{} cp --parents -r "{}" debian/tmp/usr/src/qtcreator
-	cd debian/tmp/usr/src/qtcreator; cp -r builddir/* .; rm -R builddir
-	rm -rfv debian/tmp/usr/usr/tests/
-
 override_dh_install:
 	dh_install --fail-missing
-	mkdir -p debian/qtcreator-plugin-ubuntu/usr/share/qtcreator-plugin-ubuntu
-	cp -a debian/ubuntu-sdk-migration.note debian/qtcreator-plugin-ubuntu/usr/share/qtcreator-plugin-ubuntu/
 
 override_dh_installdocs:
 	dh_installdocs -pqtcreator-data $(upstream_changes)
@@ -82,12 +70,3 @@
 override_dh_shlibdeps:
 	dh_shlibdeps -l$(CURDIR)/debian/qtcreator/usr/lib/$(DEB_HOST_MULTIARCH)/qtcreator:\
 	$(CURDIR)/debian/qtcreator/usr/lib/$(DEB_HOST_MULTIARCH)/qtcreator/plugins/QtProject
-
-override_dh_auto_test:
-ifneq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(testskip_architectures)))
-ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
-	cp -r $(CURDIR)/builddir/lib/*/ $(CURDIR)/lib
-	#xvfb-run -a dh_auto_test -- -C tests/auto
-endif
-endif
-

=== debian/watch ===
version=3
opts="repack,compression=xz"
http://download.qt.io/official_releases/qtcreator/([\d\.]*)/([\d\.]*)/qt-creator-opensource-src-([^-]*)\.tar\.xz

## qtcreator 4.3.1

=== debian/changelog ===
qtcreator (4.3.1-1ubuntu2) artful; urgency=medium

  * No change rebuild against Qt 5.9.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 22 Jul 2017 10:32:21 +0300

qtcreator (4.3.1-1ubuntu1) artful; urgency=medium

  * Sync with Debian unstable, drop most of Ubuntu changes.
  * Remaining change:
    - Keep transitional qtcreator-plugin-ubuntu package until 18.04 LTS.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 15 Jul 2017 14:42:33 +0300

qtcreator (4.3.1-1) unstable; urgency=medium

  * New upstream version (closes: #866846)
    + Fix wizards not to overwrite existing files
    + Fix memory leak in code completion
    + Fix crash when requesting refactoring on invalid C++ code
  * Remove qtscript5-private-dev as a BuildDepend
  * Bump QBS dependency to 1.8.1
  * remove_libexec.diff: refreshed
  * fix_documentation_path.diff: re-add. We are putting compiled
    documentation in compiled directory instead of human readable
    documentation directory
  * Install HTML version of the documentation for both QtCreator
    end user and the plugin developer.
  * Remove qtcreator.desktop in favour of upstream version
  * Use dh_missing instead of deprecated dh_install --fail-missing

 -- Adam Majer <adamm@zombino.com>  Tue, 11 Jul 2017 20:16:42 +0200

qtcreator (4.3.0-1) UNRELEASED; urgency=medium

  * New upstream release.
  * Bump Standards-version to 4.0.0.
  * Refresh patches and remove fix_documentation_path.diff as it's no longer
    needed.
  * Add my name to Uploaders.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 01 Jun 2017 20:41:24 -0500

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: qtcreator
 Section: devel
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Adam Majer <adamm@zombino.com>,
            Fathi Boudra <fabo@debian.org>,
            Jeremy Lainé <jeremy.laine@m4x.org>,
-           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
+           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
+           Simon Quigley <tsimonq2@ubuntu.com>
 Build-Depends: debhelper (>= 9),
                libbotan1.10-dev,
                libclang-3.9-dev [amd64],
@@ -17,19 +19,18 @@
                libqt5webkit5-dev (>= 5.6.0~),
                libqt5x11extras5-dev (>= 5.6.0~),
                pkg-config,
-               qbs-dev (>= 1.7.0~),
+               qbs-dev (>= 1.8.1~),
                qml-module-qtquick2 (>= 5.6.0~),
                qtbase5-dev (>= 5.6.0~),
                qtbase5-private-dev (>= 5.6.0~),
                qtdeclarative5-dev (>= 5.6.0~),
                qtdeclarative5-private-dev (>= 5.6.0~),
                qtscript5-dev (>= 5.6.0~),
-               qtscript5-private-dev (>= 5.6.0~),
                qttools5-dev (>= 5.6.0~),
                qttools5-dev-tools (>= 5.6.0~),
                qttools5-private-dev (>= 5.6.0~),
                qtxmlpatterns5-dev-tools (>= 5.6.0~)
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://doc.qt.io/qt-5/topics-app-development.html
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/qt/qtcreator.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-kde/qt/qtcreator.git
@@ -86,3 +87,14 @@
 Suggests: qt5-doc
 Description: documentation for Qt Creator IDE
  This package contains documentation for Qt Creator IDE.
+
+Package: qtcreator-plugin-ubuntu
+Architecture: all
+Section: oldlibs
+Depends: qtcreator,
+         ${misc:Depends},
+Description: transitional dummy package for former Ubuntu SDK package
+ This is a transitional dummy package which can be safely removed.
+ .
+ Ubuntu SDK is now distributed separately for all supported Ubuntu versions.
+ Please see http://developer.ubuntu.com/ for more information.

=== debian/rules ===
--- 
+++ 
@@ -60,8 +60,8 @@
 	# Not needed
 	rm debian/tmp/usr/bin/qtcreator.sh
 
-override_dh_install:
-	dh_install --fail-missing
+override_dh_missing:
+	dh_missing --fail-missing
 
 override_dh_installdocs:
 	dh_installdocs -pqtcreator-data $(upstream_changes)

## qtcreator 4.5.2

=== share/qtcreator/templates/wizards/projects/consoleapp/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(%{ProjectName})

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)

find_package(Qt5Core)

add_executable(${PROJECT_NAME} "%{CppFileName}")

target_link_libraries(${PROJECT_NAME} Qt5::Core)

=== share/qtcreator/templates/wizards/projects/qtquickapplication/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(%{ProjectName} LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

find_package(Qt5 COMPONENTS Core Quick REQUIRED)

add_executable(${PROJECT_NAME} "%{MainCppFileName}" "qml.qrc")

target_link_libraries(${PROJECT_NAME} Qt5::Core Qt5::Quick)

=== debian/changelog ===
qtcreator (4.5.2-3~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Use llvm 3.9 toolchain instead of 6.0.
  * Revert to debhelper compat 10.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 31 Mar 2018 11:35:40 -0700

qtcreator (4.5.2-3) unstable; urgency=medium

  * Update libclang dependency to 6.0 (closes: #893402)

 -- Adam Majer <adamm@zombino.com>  Sun, 18 Mar 2018 19:10:54 +0100

qtcreator (4.5.2-2) unstable; urgency=medium

  * Team upload.
  * Switch the kdelibs5-data suggest to kate-data, since the latter is where
    the kate syntax definitions are; unfortunately they are the kde4 versions,
    as the KF5 syntax-highlighting embeds its own as Qt resources.
  * Use https in the watch file.
  * Move desktop file, and appdata file from qtcreator-data to qtcreator, as
    they must be together with the executable they refer to
    - add proper breaks/replaces
  * Add the zlib1g-dev build dependency: apparently LLVM/Clang 3.9 exposes -lz
    as dependency for its libraries, and the -dev packages do not depend on it.
  * Remove the unused ${perl:Depends} substvar from qtcreator-data.

 -- Pino Toscano <pino@debian.org>  Sun, 18 Mar 2018 10:23:36 +0100

qtcreator (4.5.2-1) unstable; urgency=medium

  [ Simon Quigley ]
  * New upstream release. (closes: #893207)
  * Bump debhelper compat to 11, no changes needed.
  * Bump Standards-version to 4.1.3, no changes needed.
  * Fix insecure-copyright-format-uri.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Remove botan patches. We can now use USE_SYSTEM_BOTAN as soon as botan2
    hits the archive. Thanks Christian Kandeler for the pointer!
  * Switch Vcs-[Git Browser] to salsa.debian.org.

  [ Alexander Volkov ]
  * Revert "Export LLVM_INSTALL_DIR without harcoding the version." since
    this method doesn't work with libclang-3.9-dev and llvm-3.9-dev
    build dependencies. (closes: #889984, #888895)

  [ Adam Majer ]
  * Enable USE_SYSTEM_BOTAN again. (botan2.wip.patch, botan2.debian.patch)
  * Update Qt minimum version dependency to 5.6.2

 -- Adam Majer <adamm@zombino.com>  Sat, 17 Mar 2018 20:12:32 +0100

qtcreator (4.5.0-3) unstable; urgency=medium

  * Switch back to using the embedded botan's code. Version 1.10 will get
    removed from the archive. QTCREATORBUG-19745 was filed against upstream
    to improve this situation (Closes: #889558).
    - Remove botan build dependency.
  * Refresh patches.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 06 Feb 2018 15:41:41 -0300

qtcreator (4.5.0-2) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS on armhf. (Closes: #886820)
    - Remove hack to build some files with -O1.
      Thanks to Adrian Bunk for testing.
  * Build-depend on qml-module-qtquick-controls to satisfy the check in
    src/plugins/plugins.pro.
    - Thanks to Dmitry Shachnev.
  * Build-depend libclang and llvm 3.9 instead of the metapackage.
    - qtcreator only works with version 3.9.

 -- Felix Geyer <fgeyer@debian.org>  Mon, 29 Jan 2018 22:54:46 +0100

qtcreator (4.5.0-1) unstable; urgency=medium

  [ Adam Majer ]
  * Enable clang code plugin on i386 (closes: #877814)

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release. (closes: #875863)
  * Bump QBS build dependency to >= 1.10, required by the source.

 -- Adam Majer <adamm@zombino.com>  Thu, 28 Dec 2017 00:41:30 +0100

qtcreator (4.3.1-2) unstable; urgency=medium

  [ Maximiliano Curia ]
  * New revision
  * Update uploaders list as requested by MIA team (Closes: #879427)

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Switch to unversioned llvm-dev and libclang-dev, see if we can keep this
    dependencies this way (Closes: #873414).
    - Export LLVM_INSTALL_DIR without harcoding the version.
  * Switch to compat 10 which uses parallel building by default.
    - Depend on debhelper >= 10.
  * Update Standards-Version to 4.1.1, no changes required.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 26 Nov 2017 16:36:46 -0300

=== debian/control ===
Source: qtcreator
Section: devel
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Adam Majer <adamm@zombino.com>,
           Jeremy Lainé <jeremy.laine@m4x.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Simon Quigley <tsimonq2@ubuntu.com>
Build-Depends: debhelper (>= 10),
               libbotan-2-dev,
               libclang-3.9-dev [amd64 i386],
               libicu-dev,
               libjs-jquery,
               libqt5opengl5-dev (>= 5.6.2~),
               libqt5sql5-sqlite (>= 5.6.2~),
               libqt5webkit5-dev (>= 5.6.2~),
               libqt5x11extras5-dev (>= 5.6.2~),
               llvm-3.9-dev [amd64 i386],
               pkg-config,
               qbs-dev (>= 1.10~),
               qml-module-qtquick-controls (>= 5.6.2~),
               qml-module-qtquick2 (>= 5.6.2~),
               qtbase5-dev (>= 5.6.2~),
               qtbase5-private-dev (>= 5.6.2~),
               qtdeclarative5-dev (>= 5.6.2~),
               qtdeclarative5-private-dev (>= 5.6.2~),
               qtscript5-dev (>= 5.6.2~),
               qttools5-dev (>= 5.6.2~),
               qttools5-dev-tools (>= 5.6.2~),
               qttools5-private-dev (>= 5.6.2~),
               qtxmlpatterns5-dev-tools (>= 5.6.2~),
               zlib1g-dev,
Standards-Version: 4.1.3
Homepage: https://doc.qt.io/qt-5/topics-app-development.html
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtcreator.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtcreator

Package: qtcreator
Architecture: any
Depends: libqt5sql5-sqlite,
         qml-module-qtqml-models2,
         qml-module-qtquick-controls (>= 5.5.0~),
         qml-module-qtquick2 (>= 5.5.0~),
         qtchooser,
         qtcreator-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: clang,
            gdb,
            make,
            qmlscene,
            qt5-doc,
            qt5-qmltooling-plugins,
            qtbase5-dev-tools,
            qtcreator-doc,
            qtdeclarative5-dev-tools,
            qttools5-dev-tools,
            qttranslations5-l10n,
            qtxmlpatterns5-dev-tools,
            xterm | x-terminal-emulator
Suggests: cmake, g++, git, kate-data, subversion
Breaks: qtcreator-data (<< 4.5.2-2~)
Replaces: qtcreator-data (<< 4.5.2-2~)
Description: integrated development environment (IDE) for Qt
 Qt Creator is a cross-platform integrated development environment (IDE)
 designed to make development with the Qt application framework faster
 and easier.
 .
 It includes:
  * An advanced C++ code editor
  * Integrated GUI layout and forms designer
  * Project and build management tools
  * Integrated, context-sensitive help system
  * Visual debugger
  * Rapid code navigation tools
  * Supports multiple platforms
  * Qt Quick Designer

Package: qtcreator-data
Architecture: all
Depends: ${misc:Depends}
Description: application data for Qt Creator IDE
 This package contains architecture-independent data for Qt Creator IDE.

Package: qtcreator-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: qt5-doc
Description: documentation for Qt Creator IDE
 This package contains documentation for Qt Creator IDE.

=== debian/rules ===
--- 
+++ 
@@ -15,13 +15,13 @@
 export QMAKE_LFLAGS_RELEASE := $(LDFLAGS)
 export QMAKE_LFLAGS_DEBUG := $(LDFLAGS)
 export QT_SELECT := qt5
-export LLVM_INSTALL_DIR := $(shell if [ -d /usr/lib/llvm-3.9 ]; then echo /usr/lib/llvm-3.9; fi)
+export LLVM_INSTALL_DIR := "/usr/lib/llvm-3.9"
 
 # Upstream changelog
 upstream_changes := $(wildcard dist/changes-*)
 
 %:
-	dh $@ --parallel --builddirectory=builddir
+	dh $@ --builddirectory=builddir
 
 override_dh_auto_configure:
 	mkdir -p builddir
@@ -36,16 +36,9 @@
 		QBS_INSTALL_DIR=/usr \
 		PREFIX=/usr/ \
 		LLVM_INSTALL_DIR="$(LLVM_INSTALL_DIR)" \
+		USE_SYSTEM_BOTAN=1 \
 		CONFIG+=disable_external_rpath \
-		$(CURDIR) IDE_LIBRARY_BASENAME=lib/$(DEB_HOST_MULTIARCH) IDE_PACKAGE_MODE=1 USE_SYSTEM_BOTAN=1 $(extra_configure_opts)
-
-ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), armhf))
-	# Hack over a g++ problem while using -O2 on armhf.
-	# If you don't like this horrible hack please feel free to help me try to
-	# reproduce it in a minimal test case so as to be able to properly fill a
-	# bug against g++.
-	sed -i 's/O2/O1/g' builddir/src/plugins/qmldesigner/Makefile.qmldesignerplugin
-endif
+		$(CURDIR) IDE_LIBRARY_BASENAME=lib/$(DEB_HOST_MULTIARCH) IDE_PACKAGE_MODE=1 $(extra_configure_opts)
 
 override_dh_auto_install:
 ifneq (,$(filter qtcreator-doc, $(shell dh_listpackages)))

## qtcreator 4.6.2

=== debian/changelog ===
qtcreator (4.6.2-1build1) cosmic; urgency=medium

  * No-change rebuild against qtbase-abi-5-11-0.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 19 Jul 2018 00:18:08 -0500

qtcreator (4.6.2-1) unstable; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 15 Jun 2018 18:12:29 -0500

qtcreator (4.6.1-1) unstable; urgency=medium

  * New upstream release.
  * Make qtcreator suggest valgrind (Closes: #881542).
  * Backport upstream patch to improve AppStrem metadata (Closes: 897901).
  * Refresh patches.
  * Create arch_support_refactor.patch backporting various commits that
    improve arch/OS support, adding for example the xtensa-esp32 arch.
  * Remove empty from_header_to_body.diff file.
  * Fix typo in debian/copyright.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 09 May 2018 14:28:47 -0300

qtcreator (4.6.0-3) unstable; urgency=medium

  * Fix clang model plugin build (Closes: 895677):
    - Build depend upon llvm-6.0-dev on all archs.
    - Once again pass LLVM_INSTALL_DIR to the config script. In Debian
      llvm-config is suffixed by the LLVM version, so the correct path
      is not detected without it.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 18 Apr 2018 15:08:16 -0300

qtcreator (4.6.0-2) unstable; urgency=medium

  * Qt Creator now has a better heuristic for detecting LLVM, so it's not
    needed to explicitely tell it where is it installed. Thanks James Cowgill
    for pointing me in the right direction.
    - Make libclang-6.0-dev a dependency on all archs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 10 Apr 2018 21:18:30 -0300

qtcreator (4.6.0-1) unstable; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Use Helmut Grohne's patch to simplify debian/rules and allow qtcreator to
    be crossbuilt (Closes: #893508).

  [ Simon Quigley ]
  * New upstream release.
  * Run wrap-and-sort.
  * Confirm the multi-arch hinter's pointers and make qtcreator-data and
    qtcreator-doc Multi-Arch: foreign.
  * Bump Standards-version to 4.1.4, no changes needed.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Bump qbs build dependency to 1.11, required by this release.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 10 Apr 2018 10:28:29 -0300

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,23 @@
 Source: qtcreator
 Section: devel
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Adam Majer <adamm@zombino.com>,
            Jeremy Lainé <jeremy.laine@m4x.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Simon Quigley <tsimonq2@ubuntu.com>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                libbotan-2-dev,
-               libclang-3.9-dev [amd64 i386],
+               libclang-6.0-dev,
                libicu-dev,
                libjs-jquery,
                libqt5opengl5-dev (>= 5.6.2~),
                libqt5sql5-sqlite (>= 5.6.2~),
                libqt5webkit5-dev (>= 5.6.2~),
                libqt5x11extras5-dev (>= 5.6.2~),
-               llvm-3.9-dev [amd64 i386],
+               llvm-6.0-dev,
                pkg-config,
-               qbs-dev (>= 1.10~),
+               qbs-dev (>= 1.11~),
                qml-module-qtquick-controls (>= 5.6.2~),
                qml-module-qtquick2 (>= 5.6.2~),
                qtbase5-dev (>= 5.6.2~),
@@ -30,8 +29,8 @@
                qttools5-dev-tools (>= 5.6.2~),
                qttools5-private-dev (>= 5.6.2~),
                qtxmlpatterns5-dev-tools (>= 5.6.2~),
-               zlib1g-dev,
-Standards-Version: 4.1.3
+               zlib1g-dev
+Standards-Version: 4.1.4
 Homepage: https://doc.qt.io/qt-5/topics-app-development.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtcreator.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtcreator
@@ -59,7 +58,7 @@
             qttranslations5-l10n,
             qtxmlpatterns5-dev-tools,
             xterm | x-terminal-emulator
-Suggests: cmake, g++, git, kate-data, subversion
+Suggests: cmake, g++, git, kate-data, subversion, valgrind
 Breaks: qtcreator-data (<< 4.5.2-2~)
 Replaces: qtcreator-data (<< 4.5.2-2~)
 Description: integrated development environment (IDE) for Qt
@@ -79,12 +78,14 @@
 
 Package: qtcreator-data
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: application data for Qt Creator IDE
  This package contains architecture-independent data for Qt Creator IDE.
 
 Package: qtcreator-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}
 Suggests: qt5-doc

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export QT_SELECT := qt5
export LLVM_INSTALL_DIR := "/usr/lib/llvm-6.0"

# Upstream changelog
upstream_changes := $(wildcard dist/changes-*)

%:
	dh $@ --builddirectory=builddir

override_dh_auto_configure:
	dh_auto_configure -- \
		-recursive \
		QBS_INSTALL_DIR=/usr \
		USE_SYSTEM_BOTAN=1 \
		LLVM_INSTALL_DIR="$(LLVM_INSTALL_DIR)" \
		CONFIG+=disable_external_rpath \
		$(CURDIR) IDE_LIBRARY_BASENAME=lib/$(DEB_HOST_MULTIARCH) IDE_PACKAGE_MODE=1 $(extra_configure_opts)

override_dh_auto_install:
ifneq (,$(filter qtcreator-doc, $(shell dh_listpackages)))
	dh_auto_build -- qch_docs
endif
	dh_auto_install --destdir=debian/tmp/usr
	dh_auto_build -- install_docs INSTALL_ROOT=$(CURDIR)/debian/tmp/usr

	# Do not install the file, we better symlink it.
	rm -vf debian/tmp/usr/share/qtcreator/debugger/LICENSE.LGPL

	# Not needed
	rm debian/tmp/usr/bin/qtcreator.sh

override_dh_missing:
	dh_missing --fail-missing

override_dh_installdocs:
	dh_installdocs -pqtcreator-data $(upstream_changes)
	dh_installdocs --remaining-packages

override_dh_shlibdeps:
	dh_shlibdeps -l$(CURDIR)/debian/qtcreator/usr/lib/$(DEB_HOST_MULTIARCH)/qtcreator:\
	$(CURDIR)/debian/qtcreator/usr/lib/$(DEB_HOST_MULTIARCH)/qtcreator/plugins/QtProject
